PamCut: TrkGeomCut Class Reference

# TrkGeomCut Class Reference

The tracker fiducial acceptance cut. This cut checks if the track is inside the fiducial acceptance chosen for the tracker. CUT DEPENDENCIES: TrkPhysSin for object trkTrack. More...

`#include <TrkGeomCut.h>`

Inheritance diagram for TrkGeomCut:

List of all members.

## Public Member Functions
| TrkGeomCut (const char *cutName, float xTol, float yTol)
| Constructor.
| ~TrkGeomCut ()
| Destructor.
int | Check (PamLevel2 *event)
| The tracker fiducial acceptance check.
## Private Attributes
float | _xTol
float | _yTol

## Detailed Description

The tracker fiducial acceptance cut. This cut checks if the track is inside the fiducial acceptance chosen for the tracker. CUT DEPENDENCIES: TrkPhysSin for object trkTrack.

Definition at line 20 of file TrkGeomCut.h.

## Constructor & Destructor Documentation

TrkGeomCut::TrkGeomCut | ( | const char * | cutName,
|  | float | xTol,
|  | float | yTol |
| ) |  |  | `[inline]`

Constructor.

The parameters are the width of the regions on each side of a view that define the fiducial acceptance region. The detector size is therefore reduce by an amount of xTol (yTol) on each side of the X (Y) view.

Parameters:

  | cutName | The cut's name.
  | xTol | The fiducial border on X view in cm.
  | yTol | The fiducial border on Y view in cm.

Definition at line 33 of file TrkGeomCut.h.

TrkGeomCut::~TrkGeomCut | ( |  | ) | `[inline]`

Destructor.

Definition at line 37 of file TrkGeomCut.h.

## Member Function Documentation

int TrkGeomCut::Check | ( | PamLevel2 * | event | ) | `[virtual]`

The tracker fiducial acceptance check.

Parameters:

  | event | The event to analyze.

Returns:
  CUTOK if the track is inside the fiducial acceptance.

  0 otherwise.

Implements PamCut.

Definition at line 12 of file TrkGeomCut.cpp.

References _xTol, _yTol, and CUTOK.

## Member Data Documentation

float TrkGeomCut::_xTol`[private]`

Definition at line 50 of file TrkGeomCut.h.

Referenced by Check().

float TrkGeomCut::_yTol`[private]`

Definition at line 51 of file TrkGeomCut.h.

Referenced by Check().

The documentation for this class was generated from the following files:

- TrkCuts/TrkGeomCut/TrkGeomCut.h
- TrkCuts/TrkGeomCut/TrkGeomCut.cpp